package com.lightinit.hsdatashow.service.admin;

import com.lightinit.hsdatashow.model.admin.*;

import java.util.List;

public interface IWaterThingService {
    GroupNameAndValueModel getWaterSourceQualityAnalysis();

    GroupNameAndValueModel getWaterConsumptionPerCapita();

    GroupNameAndValueModel getSewageDischarge();

    GroupNameAndValueModel getPrecipitationAggregateList();

    WaterSupplyMainReturnModel getWaterSupplyMain();

    List<WaterSupplyAggregateResultModel> getWaterSupplyAggregate();

    PrecipitationAggregateResultModel getPrecipitationAggregate();

    PrecipitationAggregateResultModel getnewPrecipitationAggregate();

    WaterResourceAggregateResultModel getWaterResourceAggregate();

    WaterStorageAggregateResultModel getWaterStorageAggregate();

    List<PrecipitationResultModel> getPrecipitation();

    GroupNameAndValueModel getChangeWaterStorageAggregate();

    GroupNameAndValueModel getWaterResourceAggregateList();

    GroupNameAndValueModel getWaterAllCity();

    GroupNameAndValueModel getWaterAllCounty();
}
